This endpoint allows you to retrieve the details of a transaction within a payout using the payout_id and transaction_id returned when the payout was created. On success, the request returns status 200.
GET
REQUIRED
REQUIRED
id field of the response to POST /v1/payouts.REQUIRED
transactions[].id field of the response to POST /v1/payouts.400Bad request. The parameters sent are not valid.
invalid_payout_id
Invalid data was sent in the request body. The payout was not found. Try sending the request again, validating all fields.
invalid_transaction_id
Invalid data was sent in the request body. The transaction was not found. Try sending the request again, validating all fields.
invalid_signature
Invalid data was sent in the request body. Check if the secret was generated correctly and is registered with Mercado Pago. Also check if the body you are sending is the one that was encrypted.
idempotency_key_required
Invalid data was sent in the request body. The idempotency key (idempotency_key) is missing. Try sending the request again, validating all fields.
invalid_account
The `account` object was sent without the email required to identify the destination Mercado Pago account. Provide the recipient account email in `email`.
401Error. Access Token not authorized.
invalid_token
The value sent as Access Token is incorrect. Please check and try again with the correct value.
403Forbidden. You don't have permissions to access this resource.
forbidden
No permission to access the resource.
404Error. Payout not found.
not_found
Payout not found. Please check if you provided the correct payout ID.
500Internal server error.
internal_server_error
An unexpected error occurred on the server. Try the request again.
502Bad gateway. Integration failure with an external service.
bad_gateway
An error occurred in the integration with an external service. Try the request again.
curl -X GET \
'https://api.mercadopago.com/v1/payouts/{payout_id}/transactions/{transaction_id}'\
-H 'Content-Type: application/json' \
-H 'Authorization: Bearer APP_USR-4*********782856-12*********f202ca494*********f0baa4bb3*********648' \
{
"id": "TOP01KKYN1QY2SS1MKAY4G9DV5NK9",
"created_date": "2024-01-15T10:30:00Z",
"last_update_date": "2024-01-15T11:00:00Z",
"external_reference": "MP0197",
"status": "created",
"status_detail": "accredited",
"type": "TRANSACTION",
"amount": {
"currency": "COP",
"value": "50.0"
}
}